<?php
/**
 * Activate plugin
 *
 * @package EyemagineHubspot
 */

/*
Plugin Name: EyeMagine Hubspot (EYEHUB)
Plugin URI: http://hubspotconnector.com
Description: Plugin for WooCommerce-HubSpot connection. <br><strong>Dependency: Please make sure you have WooCommerce plugin installed and activated.</strong>
Version: 1.1.0
Author: EyeMagine
Author URI: http://eyemaginetech.com
License: GPLv2 or later
Text Domain: eyemagine-hubspot
WC tested up to: 4.8.0
 */

/*
This WordPress plugin is licensed to EyeMagine
*/

/**
 * Make sure not to expose any info if script called directly
 **/
defined( 'ABSPATH' ) || die( 'Invalid access to the file.' );

if ( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
}

/**
 * Constants
 */
define( 'EYEHUB_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'EYEHUB_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'EYEHUB_PLUGIN', plugin_basename( __FILE__ ) );

/**
 * The code that runs during plugin activation
 */
register_activation_hook(
	__FILE__,
	function () {
		EyemagineHubspot\Inc\Base\EYEHUB_Activate::eyehub_activate();
	}
);

/**
 * The code that runs during plugin deactivation
 */
register_deactivation_hook(
	__FILE__,
	function () {
		EyemagineHubspot\Inc\Base\EYEHUB_Deactivate::eyehub_deactivate();
	}
);

/**
 * Register services
 */
if ( class_exists( 'EyemagineHubspot\\Inc\\EYEHUB_Init' ) ) {
	EyemagineHubspot\Inc\EYEHUB_Init::eyehub_register_services();
}
