<?php
/**
 * EyemagineHubspot\Inc\Api\Callbacks\EYEHUB_Admin_Callbacks
 *
 * @package  EyemagineHubspot
 */

namespace EyemagineHubspot\Inc\Api\Callbacks;

use EyemagineHubspot\Inc\Base\EYEHUB_Base_Controller;

/**
 * EYEHUB_Admin_Callbacks Class
 */
class EYEHUB_Admin_Callbacks extends EYEHUB_Base_Controller {

	/**
	 * Admin Dashboard.
	 */
	public function eyehub_admin_dashboard() {
		return require_once( "$this->plugin_path/templates/admin.php" );
	}

	/**
	 * Option Group.
	 *
	 * @param mixed $input input.
	 *
	 * @return mixed
	 */
	public function eyehub_options_group( $input ) {
		return $input;
	}

	/**
	 * Admin Section.
	 */
	public function eyehub_admin_section() {
		echo 'If you have any questions, please feel free to contact our support 
              <a href="mailto:hubspot@eyemaginetech.com">hubspot@eyemaginetech.com</a><br><br>';
	}

	/**
	 * Active Status Field.
	 */
	public function eyehub_active_status_field() {
		$value = esc_attr( get_option( 'eyehub_active_status' ) );
		echo '<input name="eyehub_active_status" id="eyehub_active_status" value="1" ' . ( 1 == $value ? 'checked="checked"' : '' ) . 'type="checkbox"> 
              Activate data synchronisation';
	}

	/**
	 * User Key.
	 */
	public function eyehub_user_key() {
		echo '<div style=" margin-bottom: 5px"><span style="background-color:#fdfce9; padding: 5px; border: 1px #efdb9f dashed">' . esc_attr( get_option( 'eyehub_user_key' ) ) . '</span></div>';
		echo '<input name="eyehub_regen_user_key" id="eyehub_regen_access_code" value="1" type="checkbox">
		Regenerate User Key';
	}

	/**
	 * Access Code.
	 */
	public function eyehub_access_code() {
		echo '<div style=" margin-bottom: 5px"><span style="background-color:#fdfce9; padding: 5px; border: 1px #efdb9f dashed">' . esc_attr( get_option( 'eyehub_access_code' ) ) . '</span></div>';
		echo '<input name="eyehub_regen_access_code" id="eyehub_regen_access_code" value="1" type="checkbox">
		Regenerate Access Code';
	}
}
