<?php
/**
 * EyemagineHubspot\Inc\Api\DataSync\EYEHUB_Info
 *
 * @package  EyemagineHubspot
 */

namespace EyemagineHubspot\Inc\Api\DataSync;

use EyemagineHubspot\Inc\Api\EYEHUB_Data_Sync;

/**
 * EYEHUB_Info Class
 */
class EYEHUB_Info extends EYEHUB_Data_Sync {

	/**
	 * Get Data.
	 */
	public function eyehub_get_data() {
		$this->eyehub_authenticate();
		try {
			$stores = array();
			$start  = '';
			if ( ! function_exists( 'get_plugin_data' ) ) {
				require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			}
			$data = get_plugin_data( WP_PLUGIN_DIR . '/eyemagine-hubspot/eyemagine-hubspot.php' );

			// lets fetch data.
			$info_data = array(
				'blogname'               => get_option( 'blogname' ),
				'base_url'               => get_option( 'home' ),
				'admin_email'            => get_option( 'admin_email' ),
				'address'                => get_option( 'woocommerce_store_address' ),
				'address_2'              => get_option( 'woocommerce_store_address_2' ),
				'postcode'               => get_option( 'woocommerce_store_postcode' ),
				'city'                   => get_option( 'woocommerce_store_city' ),
				'language'               => get_bloginfo( 'language' ),
				'country'                => get_option( 'woocommerce_default_country' ),
				'currency'               => get_option( 'woocommerce_currency' ),
				'weight_unit'            => get_option( 'woocommerce_weight_unit' ),
				'dimension_unit'         => get_option( 'woocommerce_dimension_unit' ),
				'decimal_places'         => get_option( 'woocommerce_price_num_decimals' ),
				'woocommerce_version'    => get_option( 'woocommerce_version' ),
				'db_version'             => get_option( 'woocommerce_db_version' ),
				'ext_eyehubspot_version' => $data['Version'],
			);

		} catch ( \Exception $e ) {
			$this->eyehub_output_error(
				self::EYEHUB_ERROR_CODE_UNKNOWN_EXCEPTION,
				'Unknown exception on request',
				$e
			);

			return;
		}

		$this->eyehub_output_json(
			array(
				'info'   => $info_data,
				'stores' => $stores,
				'blogId' => get_current_blog_id(),
				'start'  => $start,
			)
		);

	}
}
