<?php
/**
 * EyemagineHubspot\Inc\Base\EYEHUB_Settings_Api
 *
 * @package  EyemagineHubspot
 */

namespace EyemagineHubspot\Inc\Api;

/**
 * EYEHUB_Settings_Api Class
 */
class EYEHUB_Settings_Api {
	/**
	 * Settings.
	 *
	 * @var array
	 */
	public $settings = array();

	/**
	 * Sections.
	 *
	 * @var array
	 */
	public $sections = array();

	/**
	 * Fields.
	 *
	 * @var array
	 */
	public $fields = array();

	/**
	 * Register.
	 */
	public function register() {
	}

	/**
	 * Set Settings.
	 *
	 * @param array $settings settings.
	 *
	 * @return EYEHUB_Settings_Api
	 */
	public function eyehub_set_settings( array $settings ) {
		$this->settings = $settings;

		return $this;
	}

	/**
	 * Set Sections.
	 *
	 * @param array $sections sections.
	 *
	 * @return EYEHUB_Settings_Api
	 */
	public function eyehub_set_sections( array $sections ) {
		$this->sections = $sections;

		return $this;
	}

	/**
	 * Set Fields.
	 *
	 * @param array $fields fields.
	 *
	 * @return EYEHUB_Settings_Api
	 */
	public function eyehub_set_fields( array $fields ) {
		$this->fields = $fields;

		return $this;
	}

	/**
	 * Register Custom Fields.
	 *
	 * @return EYEHUB_Settings_Api
	 */
	public function eyehub_register_custom_fields() {
		// register setting.
		foreach ( $this->settings as $setting ) {
			register_setting( $setting['option_group'], $setting['option_name'], ( isset( $setting['callback'] ) ? $setting['callback'] : '' ) );
		}

		// add settings section.
		foreach ( $this->sections as $section ) {
			add_settings_section( $section['id'], $section['title'], ( isset( $section['callback'] ) ? $section['callback'] : '' ), $section['page'] );
		}

		// add settings field.
		foreach ( $this->fields as $field ) {
			add_settings_field( $field['id'], $field['title'], ( isset( $field['callback'] ) ? $field['callback'] : '' ), $field['page'], $field['section'], ( isset( $field['args'] ) ? $field['args'] : '' ) );
		}

		return $this;
	}
}
