<?php
/**
 * EyemagineHubspot\Inc\Base\EYEHUB_Activate
 *
 * @package  EyemagineHubspot
 */

namespace EyemagineHubspot\Inc\Base;

/**
 * EYEHUB_Activate Class
 */
class EYEHUB_Activate {

	/**
	 * Activate.
	 */
	public static function eyehub_activate() {
		// add defaults.
		add_option( 'eyehub_user_key', md5( gmdate( 'Y-m-d H:i:s', time() ) . wp_rand( 0, 32767 ) . 'eyemaginehub' ) );
		add_option( 'eyehub_access_code', md5( ( wp_rand( 0, 32767 ) * ( 17 + wp_rand( 0, 100 ) ) ) . gmdate( 'Y-m-d H:i:s', time() ) . 'eyehubspot' ) );

		flush_rewrite_rules();
	}

	/**
	 * Update usermeta table.
	 */
	public static function eyehub_update_usermeta_table() {

		global $wpdb;
		$user_meta_table = $wpdb->prefix . 'usermeta';

		// Lets check if usermeta table has already been updated.
		$column = $wpdb->get_results(
			$wpdb->prepare(
				'SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND COLUMN_NAME = %s',
				DB_NAME,
				$user_meta_table,
				'updated_at'
			)
		);
		if ( ! empty( $column ) ) {
			return;
		}

		// Lets alter the table.
		$wpdb->query( "ALTER TABLE $user_meta_table ADD COLUMN `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP" );

		// That's all folks!
	}

}
