<?php
/**
 * EyemagineHubspot\Inc\EYEHUB_Init
 *
 * @package  EyemagineHubspot
 */

namespace EyemagineHubspot\Inc;

/**
 * EYEHUB_Init Class
 */
final class EYEHUB_Init {
	/**
	 * Store all the classes inside an array
	 *
	 * @return array Full list of classes
	 */
	public static function eyehub_get_services() {
		return array(
			Pages\EYEHUB_Admin::class,
			Pages\EYEHUB_Data_Sync::class,
			Base\EYEHUB_Enqueue::class,
		);
	}

	/**
	 * Loop through the classes, initialize them,
	 * and call the register() method if it exists
	 *
	 * @return bool
	 */
	public static function eyehub_register_services() {
		foreach ( self::eyehub_get_services() as $class ) {
			$service = self::eyehub_instantiate( $class );
			if ( method_exists( $service, 'eyehub_register' ) ) {
				$service->eyehub_register();
			}
		}

		return true;
	}

	/**
	 * Initialize the class
	 *
	 * @param object $class class from the services array.
	 *
	 * @return object instance  new instance of the class
	 */
	private static function eyehub_instantiate( $class ) {
		$service = new $class();

		return $service;
	}
}
